On Nov 14, 2007, at 6:05 AM, Stephan Richter wrote:

On Wednesday 14 November 2007, Philipp von Weitershausen wrote:
  - Figure out why buildout can (apparently) qsuccesfully install
    dependencies of currently failing zope.* eggs while easy_install
    can't.  I probably won't be able to do this.

Because most buildouts specifically point to download.zope.org using
find-links (so that way the necessary egg that's missing from PyPI is
found), or they pin down the version of zope.traversing.

They don't anymore. I removed the find-links in all the packages I touched while creating Zope 3.4.0b2, because distribution contains so many non-ready packages and would have overridden several of the KGS package versions.

So what makes this stuff work via buildout is all version-pinning now? Assuming you agree that packages released to the cheeseshop should be installable via easy_install, if distribution dependencies are version-pinned in a distribution's buildout.cfg, the same pin should be done in the setup.py install_requires= for that distribution. Otherwise running easy_install will never have the same result as running buildout when it comes to fetching dependencies for a particular distribution. In general, buildout.cfg and setup.py should share all dependency information, or the version-pin in buildout.cfg should disappear.

- C

Zope-Dev maillist  -  Zope-Dev@zope.org
**  No cross posts or HTML encoding!  **
(Related lists - http://mail.zope.org/mailman/listinfo/zope-announce
http://mail.zope.org/mailman/listinfo/zope )

Reply via email to